import request from '@/utils/request'

// 查询运营区列表
export function listArea(query) {
  return request({
    url: '/bst/area/list',
    method: 'get',
    params: query
  })
}

// 查询运营区详细
export function getArea(id) {
  return request({
    url: '/bst/area/' + id,
    method: 'get'
  })
}

// 新增运营区
export function addArea(data) {
  return request({
    url: '/bst/area',
    method: 'post',
    data: data
  })
}

// 修改运营区
export function updateArea(data) {
  return request({
    url: '/bst/area',
    method: 'put',
    data: data
  })
}

// 删除运营区
export function delArea(id) {
  return request({
    url: '/bst/area/' + id,
    method: 'delete'
  })
}
